# class DOT::DOTElement

an element that has options ( node, edge, or graph )

### Attributes

name[RW]

attr_reader :parent

options[RW]

attr_reader :parent

### Public Class Methods

new(params = {}, option_list = []) click to toggle source
Calls superclass method DOT::DOTSimpleElement.new

    # File lib/puppet/external/dot.rb, line 137
    def initialize (params = {}, option_list = [])
      super(params)
      @name   = params['name']   ? params['name']   : nil
      @parent = params['parent'] ? params['parent'] : nil
      @options = {}
      option_list.each{ |i|
        @options[i] = params[i] if params[i]
      }
      @options['label'] ||= @name if @name != 'node'
    end

### Public Instance Methods

each_option() { |i| ... } click to toggle source

    # File lib/puppet/external/dot.rb, line 148
    def each_option
      @options.each{ |i| yield i }
    end

each_option_pair() { |key, val| ... } click to toggle source

    # File lib/puppet/external/dot.rb, line 152
    def each_option_pair
      @options.each_pair{ |key, val| yield key, val }
    end